Description: use sensible-{browser,editor}
Origin: vendor
Forwarded: not-needed
Author: gregor herrmann <gregoa@debian.org>
Last-Update: 2024-04-14

--- a/scripts/clipbrowse
+++ b/scripts/clipbrowse
@@ -4,7 +4,7 @@
 use strict;
 use warnings;
 use Clipboard;
-my $browser = $ENV{BROWSER} || 'chromium-browser "%s"';
+my $browser = $ENV{BROWSER} || 'sensible-browser "%s"';
 $browser .= ' "%s"' unless $browser =~ /%s/;
 my $query = Clipboard->paste;
 $query =~ s/['"]/\\$&/;
--- a/scripts/clipedit
+++ b/scripts/clipedit
@@ -13,7 +13,7 @@
 print {$tmp_fh} $orig;
 close $tmp_fh;
 
-my $ed = $ENV{VISUAL} || $ENV{EDITOR} || 'vim';
+my $ed = $ENV{VISUAL} || $ENV{EDITOR} || 'sensible-editor';
 system($ed, $tmpfilename);
 
 sub _slurp
